ASUBST(1)

NAME
asubst -- Area Substitution

SYNOPSIS
asubst [-o outputfile] [-v] [inputfile]

DESCRIPTION
The asubst program reads inputfile or from "stdin" and performs the following action: Characters and substrings are substituted according to Perl-like substitution commands enclosed by surrounding area delimiters. The substitution commands recognized are

   [[s/pattern/string/options]]
   [[tr/input/output/options]]

and the areas are defined by blocks delimited via

  {: ... :}

EXAMPLE
  {: [[s/ä/&auml;/]] [[s/ü/&uuml;/]]
  Foo Bar Baz Quux with Umlauts ä and ü
  :}

OPTIONS

-o outputfile
    This redirects the output to outputfile. Usually the output will be send to "stdout" if no such option is specified or outputfile is ""-"".

-v  This sets verbose mode where some processing information will be given on the console.

AUTHOR
 Ralf S. Engelschall
 rse@engelschall.com
 www.engelschall.com